#version 430

layout(binding = 0, std140) uniform UBO
{
    vec4 SourceSize;
    mat4 MVP;
} global;

struct Push
{
    vec4 OriginalSize;
    vec4 OutputSize;
    uint FrameCount;
    float GAMMA_INPUT;
    float inter;
    float interm;
    float iscan;
    float intres;
    float iscans;
    float downsample_levelx;
    float downsample_levely;
    float prescalex;
};

uniform Push params;

layout(location = 0) in vec4 Position;
layout(location = 0) out vec2 vTexCoord;
layout(location = 1) in vec2 TexCoord;

void main()
{
    gl_Position = global.MVP * Position;
    vTexCoord = TexCoord * 1.00010001659393310546875;
}

